### A free/open-source library for quantitative finance

Protected Member Functions | Protected Attributes
InterpolatedYoYOptionletVolatilityCurve< Interpolator1D > Class Template Reference

Interpolated flat smile surface. More...

`#include <ql/experimental/inflation/yoyinflationoptionletvolatilitystructure2.hpp>`

Inheritance diagram for InterpolatedYoYOptionletVolatilityCurve< Interpolator1D >:
[legend]

List of all members.

## Public Member Functions

Constructor
| InterpolatedYoYOptionletVolatilityCurve (Natural settlementDays, const Calendar &, BusinessDayConvention bdc, const DayCounter &dc, const Period &lag, Frequency frequency, bool indexIsInterpolated, const std::vector< Date > &d, const std::vector< Volatility > &v, Rate minStrike, Rate maxStrike, const Interpolator1D &interpolator=Interpolator1D())
| calculate the reference date based on the global evaluation date
Limits
virtual Real | minStrike () const
| the minimum strike for which the term structure can return vols
virtual Real | maxStrike () const
| the maximum strike for which the term structure can return vols
virtual Date | maxDate () const
| the latest date for which the curve can return values
Bootstrap interface
virtual const std::vector< Time > & | times () const
virtual const std::vector< Date > & | dates () const
virtual const std::vector< Real > & | data () const
virtual std::vector< std::pair < Date, Real > > | nodes () const

## Protected Member Functions

| InterpolatedYoYOptionletVolatilityCurve (Natural settlementDays, const Calendar &, BusinessDayConvention bdc, const DayCounter &dc, const Period &lag, Frequency frequency, bool indexIsInterpolated, Rate minStrike, Rate maxStrike, Volatility baseYoYVolatility, const Interpolator1D &interpolator=Interpolator1D())
virtual Volatility | volatilityImpl (Time length, Rate strike) const
| implements the actual volatility calculation in derived classes

## Protected Attributes

std::vector< Date > | dates_
std::vector< Time > | times_
std::vector< Real > | data_
std::vector< std::pair< Date, Real > > | nodes_
Interpolator1D | interpolator_
Interpolation | interpolation_
Rate | minStrike_
Rate | maxStrike_

## Detailed Description

### template<class Interpolator1D>
class QuantLib::InterpolatedYoYOptionletVolatilityCurve< Interpolator1D >

Interpolated flat smile surface.

Interpolated in T direction and constant in K direction.

## Constructor & Destructor Documentation

InterpolatedYoYOptionletVolatilityCurve | ( | Natural | settlementDays,
|  | const Calendar & | cal,
|  | BusinessDayConvention | bdc,
|  | const DayCounter & | dc,
|  | const Period & | lag,
|  | Frequency | frequency,
|  | bool | indexIsInterpolated,
|  | const std::vector< Date > & | d,
|  | const std::vector< Volatility > & | v,
|  | Rate | minStrike,
|  | Rate | maxStrike,
|  | const Interpolator1D & | interpolator = `Interpolator1D()`
| ) |  |

calculate the reference date based on the global evaluation date

The dates are those of the volatility ... there is no lag on the dates but they are relative to a start date earlier than the reference date as always for inflation.

## Member Function Documentation

Volatility volatilityImpl | ( | Time | length,
|  | Rate | strike
| ) |  | const`[protected, virtual]`

implements the actual volatility calculation in derived classes

For the curve strike is ignored because the smile is (can only be) flat.

Implements YoYOptionletVolatilitySurface.